ChiliProject - Bug # 475: News, docs, changesets and time activities were not migrated to 2.0.0rc2

Status: Closed Priority: Normal

Author: Artem Naluzhnyy Category: Journals / History
Created: 2011-06-14 Assignee: Eric Davis
Updated: 2011-06-17 Due date:

Remote issue URL:

Affected version: unstable

Description:

After 1.3.0 -> 2.0.0rc2 upgrade my list of project activities contains only Wiki and Issues, but there are News,

Documents, Changesets and Spent time records.

There were no error messages during the DB migration. New News, Documents, Changesets and Spent time

activities are recorded without problem.

Associated revisions

2011-06-17 07:50 pm - Eric Davis

[#475] Set the activity_type on the initial journals

History

2011-06-17 03:30 pm - Eric Davis

- Assignee set to Eric Davis

I'll look into it and see what is going on. My first thought is that the activity stream isn't getting those records.

2011-06-17 05:52 pm - Eric Davis
- Status changed from Open to Closed

The initial journals were not getting the activity_type set, which meant that the Activity pages wasn't loading them.

Fixed the migration in commit:0daa081 and should be in the next release.

2011-06-17 06:54 pm - Artem Naluzhnyy

Eric Davis wrote:

> Fixed the migration in commit:0daa081 and should be in the next release.

Eric, | thought existent migration scripts should not be changed. Otherwise how to fix a system previously migrated to rc2?

2011-06-17 09:22 pm - Eric Davis

Artem Naluzhnyy wrote:

> Eric, | thought existent migration scripts should not be changed. Otherwise how to fix a system previously migrated to rc2?

Released migrations shouldn't be changed. 2.0.0 isn't released yet and shouldn't be used in production yet.

2011-06-17 09:50 pm - Artem Naluzhnyy

Eric Davis wrote:

> Released migrations shouldn't be changed. 2.0.0 isn't released yet and shouldn't be used in production yet.

| see. You'd better clarify somewhere on the Wiki that "ChiliProject RC" is not really a "Release

Candidate":http://en.wikipedia.org/wiki/Software_release_life_cycle#Release_candidate but a potential deadlock for everyone who tries to use it :)
Yes, | saw your "not recommended for use on production" notice. But you should agree, that "not for production” and "blind alley" are not the same.
